Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

AbstractInMemoryPersistenceHandler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Cache;
8
9 use eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface;
10 use eZ\Publish\Core\Persistence\Cache\InMemory\InMemoryCache;
11 use eZ\Publish\SPI\Persistence\Handler as PersistenceHandler;
12 use Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface;
13 use Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierSanitizer;
14 use Ibexa\Core\Persistence\Cache\LocationPathConverter;
15
21 abstract class AbstractInMemoryPersistenceHandler extends AbstractInMemoryHandler
22 {
24 protected $persistenceHandler;
25
27 protected $cacheIdentifierGenerator;
28
30 protected $cacheIdentifierSanitizer;
31
33 protected $locationPathConverter;
34
46 public function __construct(
47 TransactionAwareAdapterInterface $cache,
48 PersistenceLogger $logger,
49 InMemoryCache $inMemory,
50 PersistenceHandler $persistenceHandler,
51 CacheIdentifierGeneratorInterface $cacheIdentifierGenerator,
52 CacheIdentifierSanitizer $cacheIdentifierSanitizer,
53 LocationPathConverter $locationPathConverter
54 ) {
55 parent::__construct($cache, $logger, $inMemory);
56
57 $this->persistenceHandler = $persistenceHandler;
58 $this->cacheIdentifierGenerator = $cacheIdentifierGenerator;
59 $this->cacheIdentifierSanitizer = $cacheIdentifierSanitizer;
60 $this->locationPathConverter = $locationPathConverter;
61
62 $this->init();
63 }
64
68 protected function init(): void
69 {
70 // overload to add init logic if needed in handler
71 }
72 }
Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierSanitizer
Definition: CacheIdentifierSanitizer.php:15
Ibexa\Core\Persistence\Cache\LocationPathConverter
Definition: LocationPathConverter.php:15
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
Abstract handler for use in other SPI Handlers.
Definition: AbstractInMemoryHandler.php:19
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$cache
$cache
Definition: AbstractInMemoryHandler.php:25
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$logger
$logger
Definition: AbstractInMemoryHandler.php:28
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\$inMemory
$inMemory
Definition: AbstractInMemoryHandler.php:36
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
Internal abstract handler for use in other SPI Persistence Cache Handlers.
Definition: AbstractInMemoryPersistenceHandler.php:22
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$locationPathConverter
$locationPathConverter
Definition: AbstractInMemoryPersistenceHandler.php:33
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$persistenceHandler
$persistenceHandler
Definition: AbstractInMemoryPersistenceHandler.php:24
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\init
init()
Optional function to initialize handler without having to overload __construct().
Definition: AbstractInMemoryPersistenceHandler.php:68
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$cacheIdentifierGenerator
$cacheIdentifierGenerator
Definition: AbstractInMemoryPersistenceHandler.php:27
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\__construct
__construct(TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory, PersistenceHandler $persistenceHandler, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
Setups current handler with everything needed.
Definition: AbstractInMemoryPersistenceHandler.php:46
eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler\$cacheIdentifierSanitizer
$cacheIdentifierSanitizer
Definition: AbstractInMemoryPersistenceHandler.php:30
eZ\Publish\Core\Persistence\Cache\InMemory\InMemoryCache
Simple internal In-Memory Cache Pool.
Definition: InMemoryCache.php:28
eZ\Publish\Core\Persistence\Cache\PersistenceLogger
Log un-cached & cached use of SPI Persistence.
Definition: PersistenceLogger.php:15
Ibexa\Core\Persistence\Cache\Identifier\CacheIdentifierGeneratorInterface
Definition: CacheIdentifierGeneratorInterface.php:15
eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface
Interface for cache adapter which is aware of persistence transactions.
Definition: TransactionAwareAdapterInterface.php:22
eZ\Publish\SPI\Persistence\Handler
The main handler for Storage Engine.
Definition: SPI/Persistence/Handler.php:15
eZ\Publish\Core\Persistence\Cache
Definition: AbstractHandler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.